Bug 479455

Summary: Asus Eee Box X11 Graphics failure on VGA
Product: [Fedora] Fedora Reporter: Skip Egdorf <egdorf>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: ajax, jflorian, john.florian, kennedycp, mitch, pedemonte, vedran, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 07:05:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
/var/log/Xorg.0.log for a run with a VGA-conencted monitor.
none
xorg.conf that provides a work-around none

Description Skip Egdorf 2009-01-09 13:31:27 EST
Created attachment 328580 [details]
/var/log/Xorg.0.log for a run with a VGA-conencted monitor.

Description of problem:
X11 blank screen on VGA monitor.
On an Asus EE Box B202, Intel Atom N270, 945GME graphics, with a VGA monitor connected to the DVI port through the included DVI/VGA converter, X11 runs, but the screen is blank and gets no signal. The Asus-provided Xandros boots and runs correctly but not enough system-level tools are available there to let me look at their configuration.
When a digital monitor is connected directly to the DVI port, the display works.
Using the VGA, a <ctrl><Alt><F2> gets to a console, allows login, and lets one see that the system is running even if the X display is blank. In the X console, an blind <Ctrl><Alt><Backspace> correctly restarts X, so the problem can be investigated from init level 3 using a manual "startx".
From init level 3, doing "Xorg -configure" to produce an xorg.conf, and editing to change the driver from "intel" to "vesa" allows the system to operate, but this is difficult for the install DVD and the live CD.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810.i386                  2.5.0-4.fc10                   installed
as well as the earlier version included on the install DVD and the live CD.

How reproducible:
On an Eee Box with attached VGA monitor:
Attempt to install from Fedora-10-i386 DVD,
Attempt to boot Fedora-10-i386 Live CD,
Install Fedora-10-i386 using text mode and attempt to bring up X.

Attaching a digital monitor with a direct DVI cable shows that each of those three cases works with the digital connection.

Steps to Reproduce:
1.Install F10 DVD in text mode. run "startx"
2.or, Attempt to install F10 DVD in graphics mode
3.or, Attempt to run F10 live CD
  
Actual results:
X runs, but a VGA-connected monitor gets no output signal.


Expected results:
X should display on a VGA-connected monitor.

Additional info:
Please let me know if there are any experiments or other information needed.
Comment 1 John Florian 2009-03-25 17:05:09 EDT
Confirmed.  We're experience the EXACT same problem.
Comment 2 kennedycp 2009-03-26 10:30:52 EDT
I have confirmed this issue to.  LCD display does not detect a signal.

Asus Eee Box B202 connected to Acer V193 display via VGA.

Same errors in my X log as in the log attached to this case:

(EE) intel(0): write to /sys/class/backlight/eeepc/brightness for backlight control failed: Invalid argument
(EE) intel(0): First SDVOB output reported failure to sync
Comment 3 Vedran Miletić 2009-09-21 10:31:06 EDT
Does this still occur with Fedora 11 or Fedora 12 Snap3?
Comment 4 John Florian 2009-09-21 10:42:14 EDT
I can confirm that it did still occur with Fedora 11 at the time I installed (back in early July).
Comment 5 John Florian 2009-09-21 10:46:42 EDT
Created attachment 361953 [details]
xorg.conf that provides a work-around

Also, I've been using this xorg.conf for a couple of months with good success.
Comment 6 Vedran Miletić 2009-09-21 11:51:47 EDT
OK, updating summary.
Comment 7 Matěj Cepl 2009-11-05 13:21:21 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Matěj Cepl 2010-02-26 07:14:56 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 9 Bug Zapper 2010-04-27 08:42:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 07:05:11 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Skip Egdorf 2014-06-23 15:07:13 EDT
The bug was fixed by Fedora 12 and has not reappeared.